Package Details: guile-emacs-git 116892.41120e0f59-1

Git Clone URL: https://aur.archlinux.org/guile-emacs-git.git (read-only, click to copy)
Package Base: guile-emacs-git
Description: branch of GNU Emacs that replaces Emacs' own EmacsLisp engine with that of Guile.
Upstream URL: http://www.emacswiki.org/emacs/GuileEmacs
Licenses: GPL3
Conflicts: ctags, emacs
Provides: ctags, emacs
Submitter: haawda
Maintainer: None
Last Packager: haawda
Votes: 5
Popularity: 0.000000
First Submitted: 2014-11-15 21:58 (UTC)
Last Updated: 2016-12-16 20:24 (UTC)

Pinned Comments

priezz commented on 2014-11-25 21:22 (UTC)

I see... As for gtk2 it would be nice to have separate package to be able to auto-update it without changing PKGBUILD every time. But as the package is still experimental it is not so important.

Latest Comments

haawda commented on 2016-12-16 20:25 (UTC)

New git version gives longer version numbers, no need to update.

haawda commented on 2016-11-16 13:48 (UTC)

lukad: clang indeed should be a makedependency.

lukad commented on 2016-11-16 09:52 (UTC)

Shouldn't this have a make dependency on clang?

priezz commented on 2014-11-25 21:54 (UTC)

Emacs starts with message Using load-path (/tmp/makepkg/guile-emacs-git/src/guilemacs/lisp /tmp/makepkg/guile-emacs-git/src/guilemacs/lisp/emacs-lisp /tmp/makepkg/guile-emacs-git/src/guilemacs/lisp/language /tmp/makepkg/guile-emacs-git/src/guilemacs/lisp/international /tmp/makepkg/guile-emacs-git/src/guilemacs/lisp/textmodes /tmp/makepkg/guile-emacs-git/src/guilemacs/lisp/vc) So all (almost) the built-in packages are loaded from /tmp/makepkg/guile-emacs-git/src/guilemacs/lisp/... When starting in daemon mode it fails (after loading all the packages) with multiple errors like emacs[0x51bc23] /usr/lib/libpthread.so.0(+0x10210)[0x7f7e87884210] /usr/lib/libguile-2.2.so.0(+0xc5038)[0x7f7e8e361038] /usr/lib/libguile-2.2.so.0(scm_call_n+0x14c)[0x7f7e8e36645c] /usr/lib/libguile-2.2.so.0(scm_call_1+0x18)[0x7f7e8e2e6f08]

priezz commented on 2014-11-25 21:22 (UTC)

I see... As for gtk2 it would be nice to have separate package to be able to auto-update it without changing PKGBUILD every time. But as the package is still experimental it is not so important.

haawda commented on 2014-11-25 21:17 (UTC)

The merge of guilemacs and the xwidget branch is not easily doable. You could ask upstream if soemone already tried that. Using gtk2 instead of gtk3 should only be a different configure option away.

priezz commented on 2014-11-25 20:55 (UTC)

Is it possible to build it together with xwidget patch to guile-emacs? It would be great to have it! The gtk2 version of the package would be great as well :)

haawda commented on 2014-11-25 20:46 (UTC)

Thanks, done.

priezz commented on 2014-11-23 19:15 (UTC)

The package conflicts with ctags. Please add "ctags" to provides/conflicts sections.

haawda commented on 2014-11-15 22:07 (UTC)

This is very experimental stuff. Do not use as your default emacs.